Package org.apache.maven.scm.provider.tfs.command

## Class TfsBranchCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.branch.AbstractBranchCommand
    - - org.apache.maven.scm.provider.tfs.command.TfsBranchCommand

All Implemented Interfaces:
  `Command`

    public class TfsBranchCommand
    extends AbstractBranchCommand

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`TfsBranchCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TfsCommand` `createCommand​(ScmProviderRepository r, ScmFileSet f, java.lang.String branch)`
`protected ScmResult` `executeBranchCommand​(ScmProviderRepository r, ScmFileSet f, java.lang.String branch, java.lang.String message)`

### Methods inherited from class org.apache.maven.scm.command.branch.AbstractBranchCommand

`executeBranchCommand, executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TfsBranchCommand

    public TfsBranchCommand()

### Method Detail

#### executeBranchCommand

    protected ScmResult executeBranchCommand​(ScmProviderRepository r,
                                             ScmFileSet f,
                                             java.lang.String branch,
                                             java.lang.String message)
                                      throws ScmException

Specified by:
  `executeBranchCommand` in class `AbstractBranchCommand`
Throws:
  `ScmException`

#### createCommand

    public TfsCommand createCommand​(ScmProviderRepository r,
                                    ScmFileSet f,
                                    java.lang.String branch)